import React from 'react'
import { withProps, compose } from 'recompose'

import { ContextualBox, ReviewerReportAuthor } from '../'

const AuthorReviews = ({ invitations, journal, reports }) => (
  <ContextualBox label="Review Reports">
    {reports.map((r, i) => (
      <ReviewerReportAuthor journal={journal} key={r.id} report={reports[i]} />
    ))}
  </ContextualBox>
)

export default compose(withProps())(AuthorReviews)
